@import './../../../../scss/variables.scss';
@import "../../../../../node_modules/bulma/sass/utilities/_all";

.page-header-container {
  background-color: white;
  padding: 0 1.25rem 0 1.25rem;
  margin-bottom: 1rem;
}

img {
  max-height: 100px;
}

.credits-container {
  display: flex;
  flex-wrap: wrap;
  margin-left: -1rem;
}

.item {
  display: inline-block;
  margin: 0 0 1rem 1rem;
  width: 100%;
  max-width: 100%;
  height: 280px;
  overflow: hidden;

  @media screen and (min-width: 420px) {
    // max-width: 705px;
    width: 100%;
    height: 260px;
  }

  @media screen and (min-width: 650px) {
    // max-width: 705px;
    width: calc((100% - 2rem) / 2);
    height: 290px;
  }

  @media screen and (min-width: $tablet) {
    // max-width: 705px;
    width: calc((705px - 1rem) / 2);
    height: 280px;
    flex-shrink: 0;
  }

  @media screen and (min-width: $desktop) {
    // max-width: 960px;
    width: calc((960px - (2 * 1rem)) / 3);
    height: 315px;
  }

  @media screen and (min-width: $widescreen) {
    // max-width: 1152px;
    width: calc((1152px - (3 * 1rem)) / 4);
    height: 300px;
  }

  @media screen and (min-width: $fullhd) {
    // max-width: 1344px;
    width: calc((1344px - (3 * 1rem)) / 4);
    height: 280px;
  }

  p {
    text-align: left;
    word-break: break-word;
  }

  .credit {
    background-color: white;
    transition: box-shadow 0.3s;
    padding: 1.2rem 1.2rem;
    height: 100%;
    position: relative;

    p {
      color: $grey-dark-color;
    }

    &:hover {
      box-shadow: inset 0 0 3px 0 grey;
    }
  }
}

.title {
  display: block;
  font-size: 1rem;
  font-weight: bold;
  margin-top: 1rem;
  margin-bottom: 0.25rem;
}

.bottom-section {
  position: absolute;
  bottom: 1rem;

  a {
    font-size: 0.875rem;
  }
}

.logo-content {
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  border-bottom: 1px solid $grey-super-light-color;
  padding-bottom: 1.2rem;

  a {
    width: 100%;
  }

  img {
    max-height: 70px;
  }

  a:not(.button) {
    text-decoration: none;
    line-height: 0;
  }
}
